%  Phi.m
function [ DhatInv ] = Phi(Dinv,d,k,n)
%Computes DhatInv from Dinv, d, k using Procdure \Phi
%
check = d' * Dinv(:,k);
if abs(check) < 1.e-6
    errmsg = 'new matrix is singular'
end
check = 1. / check;
DhatInv(:,k) = Dinv(:,k) * check;
for i = 1:n
    if  i~=k
        dci = d' * Dinv(:,i);
        DhatInv(:,i) = Dinv(:,i) - dci*DhatInv(:,k);
    end
end
end
    

