%  checkopt1.m
function checkopt1(x,n,c,C,fx,j,msg,alg)
%  given a proposed unconstrained optimal
%  solution, checkopt1 computes and prints the norm
%  of the gradient plus other results from Algorithm 1.
normgrad = norm(c + C*x);
iter = j;
fprintf('Optimization Summary\n');
fprintf('%s\n',msg);
fprintf('Algorithm: %s\n',alg);
if strcmp(msg,'Optimal solution obtained')
    fprintf('Optimal objective value   %.8f\n',fx);
    fprintf('Iterations   %d\n',iter);
    fprintf('Norm of Gradient            %.8f\n',normgrad);
    fprintf('\n\n   Optimal Solution\n')
    for i=1:n
        fprintf('   %d %12.8f\n',i,x(i))
    end
end
