%  eg5p5.m  
%  Illusrtates a hard problem for Algorithm 3; one in which 
%  many conjugate directions are constantly destroyed.
%  Provides the motivation for Algorihm 4.
n = 10; m = 5; tol = 1.e-6; r = 0; 
C = [9 0 0 0 0 0 0 0 0 0; ...
     0 8 0 0 0 0 0 0 0 0; ...
     0 0 7 0 0 0 0 0 0 0; ...
     0 0 0 5 0 0 0 0 0 0; ...
     0 0 0 0 4 0 0 0 0 0; ...
     0 0 0 0 0 3 0 0 0 0; ...
     0 0 0 0 0 0 1 0 0 0; ...
     0 0 0 0 0 0 0 1 0 0; ...
     0 0 0 0 0 0 0 0 1 0; ...
     0 0 0 0 0 0 0 0 0 1 ];
A = [1 1 1 1 1 1 1 1 1 1; ...
     0 0 0 0 0 0 0 0 0 -1; ...
     0 0 0 0 0 0 0 1 0 0; ...
     1 1 1 1 1 1 1 1 1 1; ...
     0 0 1 1 0 0 0 0 0 0 ];
b = [34 -3.6 6.13 9.8  0.06 ]';
c = [0 0 0 0 0 0 0 0 0 0 ]'; 
Dinv = eye(n);
J = zeros(1,n);
x = [ -99 -98 -97 -96 -95 -94 -93 -92 -91 35 ]';
checkdata(C)
checkconstraints(A,b,x,m,r,n)
[x,J,fx,Dinv,msg,dual,j,alg] =  ... 
                          Alg3(c,C,n,m,r,tol,x,J,Dinv,A,b);
checkKKT(A,b,x,n,m,r,dual,c,C,fx,j,msg,alg);
