%  GetDual.m
function [dual] = GetDual(Dinv,J,g,n,m,r)
%  GetDual retrieves the dual variables from the QP
%  solved by Alg3.  Algorithm 3 may terminate in
%  several places with 'optimal solution obtained'
%  and the code for obtaining the optimal dual
%  is cenralized in this funcion
%
for i = 1:(m+r)
    dual(i) = 0.;
end
for i=1:n
    if J(i) >= 1
        dual(J(i)) = - g'*Dinv(:,i);
    end
end


