%checkconstraints.m
function checkconstraints(A,b,x0,m,r,n)
feas = 1;
tol = 1.e-8;
for i = 1:m
    sum = 0.;
    for j = 1:n
        sum = sum + A(i,j)*x0(j);
    end
    if sum - b(i) > tol
        feas = 0;
        i
        msg = 'above constraint is infeasible'
    end
end

if r > 0
    for i = m+1:m+r
        sum = 0.;
        for j = 1:n
            sum = sum + A(i,j)*x0(j);
        end
        if abs(sum-b(i)) > tol
            feas = 0;
            i
            msg = 'above constraint is infeasible'
        end
    end
end
if feas == 0
    errrmsg = 'Error: initial point is not feasible'
    soln = 'Press Ctrl+C to continue'
    pause
    return
end
